# Class: ForEachBookKeeping

## ForEachBookKeeping

#### new ForEachBookKeeping(forEachFunctionnon-null, forEachContextnullable)

PooledClass representing the bookkeeping associated with performing a child traversal. Allows avoiding binding callbacks.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`forEachFunction` | function |  | Function to perform traversal with.
`forEachContext` | * | <nullable> | Context to perform context with.

Source:
  - src/js/bundle.js, line 56601